# Flexi Timer

A timer package primarily focus on flexibility with controller.

## Getting Started

Add **flexi_timer** under dependencies in pubspec.yaml:
```yaml
dependencies:
  flexi_timer:
```

Run the following command:
```yaml
$ flutter pub get
```

Import the package:
```
import 'package:flexi_timer/flexi_timer.dart';
```

## Usage
```dart
FlexiTimer(
  controller: timerController,
  duration: const Duration(seconds: 5),
  timerFormat: TimerTextFormat.mm_ss,
  onComplete: () {
    print('Timer completed!');
  },
  textStyle: const TextStyle(
    color: Colors.blue,
    fontSize: 60,
  ),
  isDiplayIcon: true,
  iconPosition: IconPosition.prefix,
  icon: const Icon(
    Icons.timer,
  ),
  iconPadding: 10,
  iconColor: Colors.blue,
  iconSize: 50,
);
```

## Demo 
![demo](https://gitlab.com/redapesolutions/flexi-timer/-/raw/setup-flutter-package/demo/demo.gif)
